org.apache.cassandra.streaming.messages

## Class OutgoingFileMessage

- java.lang.Object
- - org.apache.cassandra.streaming.messages.StreamMessage
  - - org.apache.cassandra.streaming.messages.OutgoingFileMessage

    public class OutgoingFileMessage
    extends StreamMessage

OutgoingFileMessage is used to transfer the part(or whole) of a SSTable data file.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`StreamMessage.Serializer<V extends StreamMessage>, StreamMessage.Type`

### Field Summary

Fields
`FileMessageHeader` `header`
`static StreamMessage.Serializer<OutgoingFileMessage>` `serializer`
`SSTableReader` `sstable`

### Fields inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`CURRENT_VERSION, type`

### Constructor Summary

Constructors
Constructor and Description
`OutgoingFileMessage(SSTableReader sstable, int sequenceNumber, long estimatedKeys, java.util.List<Pair<java.lang.Long,java.lang.Long>> sections)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`deserialize, getPriority, serialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static StreamMessage.Serializer<OutgoingFileMessage> serializer

#### header

    public FileMessageHeader header

#### sstable

    public SSTableReader sstable

### Constructor Detail

#### OutgoingFileMessage

    public OutgoingFileMessage(SSTableReader sstable,
                       int sequenceNumber,
                       long estimatedKeys,
                       java.util.List<Pair<java.lang.Long,java.lang.Long>> sections)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`